import { Pipe, PipeTransform } from '@angular/core';
import { OrderItemListItemDTO } from '@swagger/oms';

@Pipe({
  name: 'goodsInReservationSelected',
})
export class GoodsInReservationSelectedPipe implements PipeTransform {
  transform(item: OrderItemListItemDTO, selectedOrderItemSubsetIds: number[]): any {
    return selectedOrderItemSubsetIds?.includes(item?.orderItemSubsetId);
  }
}
